net.minecraftforge.event.terraingen

## Class PopulateChunkEvent.Populate

- java.lang.Object
- - net.minecraftforge.event.Event
  - - net.minecraftforge.event.terraingen.ChunkProviderEvent
    - - net.minecraftforge.event.terraingen.PopulateChunkEvent
      - - net.minecraftforge.event.terraingen.PopulateChunkEvent.Populate

- Enclosing class:
    PopulateChunkEvent

      public static class PopulateChunkEvent.Populate
      extends PopulateChunkEvent

  This event is fired when a chunk is populated with a terrain feature. You can set the result to DENY to prevent the default generation of a terrain feature.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PopulateChunkEvent.Populate.EventType` Use CUSTOM to filter custom event types

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.terraingen.PopulateChunkEvent

      `PopulateChunkEvent.Populate, PopulateChunkEvent.Post, PopulateChunkEvent.Pre`

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.terraingen.ChunkProviderEvent

      `ChunkProviderEvent.InitNoiseField, ChunkProviderEvent.ReplaceBiomeBlocks`

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `PopulateChunkEvent.Populate.EventType` | `type`

    - ### Fields inherited from class net.minecraftforge.event.terraingen.PopulateChunkEvent

      `chunkX, chunkZ, hasVillageGenerated, rand, world`

    - ### Fields inherited from class net.minecraftforge.event.terraingen.ChunkProviderEvent

      `chunkProvider`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PopulateChunkEvent.Populate(IChunkProvider chunkProvider, World world, Random rand, int chunkX, int chunkZ, boolean hasVillageGenerated, PopulateChunkEvent.Populate.EventType type)`

  - ### Method Summary

    - ### Methods inherited from class net.minecraftforge.event.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### type

          public final PopulateChunkEvent.Populate.EventType type

  - ### Constructor Detail

    - #### PopulateChunkEvent.Populate

          public PopulateChunkEvent.Populate(IChunkProvider chunkProvider,
                                     World world,
                                     Random rand,
                                     int chunkX,
                                     int chunkZ,
                                     boolean hasVillageGenerated,
                                     PopulateChunkEvent.Populate.EventType type)